SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000912SiT!i18npublic2009-08-27 15:262011-06-04 14:46
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.50 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000912: search_string=A on url for browse pages assumes english language
DescriptionWhen going to a browse page from the menu the URL is (for example) contacts.php?search_string=A

This doesn't work for languages that don't have 'A' as the first letter of their alphabet, or for languages where the 'A' is encoded differently to English (e.g. Russian)
TagsNo tags attached.
Attached Files

- Relationships
related to 0000910closedivan Cannot find contact by first letter 
related to 0001180resolvedivan Browse sites should show all sites by default 

-  Notes
User avatar (0003830)
ivan (administrator)
2011-06-04 14:46

We now grab the first letter of the alphabet as configured in the language file. If an alphabet isn't configured we don't show the alpha index menu at all. We also don't pass ?search_string=A on the URL from any menu entries.

- Issue History
Date Modified Username Field Change
2009-08-27 15:26 ivan New Issue
2009-08-27 15:26 ivan Status new => confirmed
2009-08-27 15:26 ivan Relationship added related to 0000910
2010-03-25 22:38 ivan Relationship added related to 0001180
2010-03-25 22:39 ivan Target Version => 3.61 LTS
2010-03-25 22:39 ivan Target Version 3.61 LTS => 4.0
2011-02-14 13:25 ivan Target Version 4.0 => 3.90beta1
2011-06-03 22:59 ivan Assigned To => ivan
2011-06-03 22:59 ivan Status confirmed => assigned
2011-06-04 14:46 ivan Note Added: 0003830
2011-06-04 14:46 ivan Status assigned => resolved
2011-06-04 14:46 ivan Fixed in Version => Current GIT
2011-06-04 14:46 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker